Distribution:	CCux Linux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		findutils
Version:	4.4.2
Release:	1
License:	GNU/GPL
URL:		http://www.gnu.org/software/findutils/
Group:		System/Base
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	The findutils package contains programs to find files. 
Prereq(post,preun): /sbin/install-info
BuildRequires:	glibc-devel

%description
The findutils package consists of three programs.
`find' is a program which searches a directory tree to find a file or group of files.
It walks the directory tree and reports all occurences of a file matching the user's
specifications. `locate' scans one or more databases of filenames and displays any matches.
`xargs' builds and executes command lines by gathering together arguments it reads on
the standard input. Most often, these arguments are lists of file names generated by `find'.
For more details see: http://www.gnu.org/software/findutils/

%post
/sbin/install-info %_infodir/find.info.gz %_infodir/dir 
ldconfig
echo "findutils installed - please run updatedb to fill the database"

%preun 
if [ "$1" = 0 ]; then 
/sbin/install-info --delete %_infodir/find.info.gz %_infodir/dir 
fi 

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
%configure \
--libexecdir=%_libdir/locate \
--localstatedir=/var/lib/locate \
--disable-debug
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%_infodir/dir

# setup dummy database file
mkdir -p $RPM_BUILD_ROOT/var/lib/locate
touch $RPM_BUILD_ROOT/var/lib/locate/locatedb

%files
%defattr(-,root,root)
%_bindir
%_libdir
%_infodir
%_locale
%_mandir
/var/lib/locate

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jan 10 2010 Christian Wasem <wasem@ccux-linux.de> 4.4.2-1
- version update, removed rpm as a require
* Thu Jul 24 2008 Christian Wasem <wasem@ccux-linux.de> 4.4.0-2
- fixed install-info --delete trigger
* Sun Mar 17 2008 Christian Wasem <wasem@ccux-linux.de> 4.4.0-1
- Version update
* Sun Feb 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.2.33-1
- Version update
* Thu Oct 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 4.2.31-1
- Version update
* Sat Jan 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 4.2.29-2
- added database file so users don't need to initially create it 
* Fri Dec 01 2006 Christian Metzen <metzench@ccux-linux.de> 4.2.29-1
- Version update
* Wed Oct 11 2006 Christian Metzen <metzench@ccux-linux.de> 4.2.28-1
- Version update
* Wed Dec 07 2005 Christian Metzen <metzench@ccux-linux.de> 4.2.27-1
- Version update
* Tue Nov 22 2005 Christian Metzen <metzench@ccux-linux.de> 4.2.26-1
- Update to Version 4.2.26
* Sat Sep 03 2005 Christian Metzen <metzench@ccux-linux.de> 4.2.25-1
- Version update
* Fri Jul 01 2005 Christian Metzen <metzench@ccux-linux.de> 4.2.23-2
- Added info file install
* Thu Jun 29 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 4.2.23-1
- Version Update to 4.2.23
* Thu Mar 17 2005 Christian Metzen <metzench@ccux-linux.de> 4.2.20-1
- Version Update to 4.2.20
* Mon Jan 31 2005 Christian Wasem <wasem[at]ccux-linux.de> - 4.2.15-1
- Update to Version 4.2.15
- specfile improvements  
* Fri Dec 31 2004 Christian Metzen <metzench@ccux-linux.de> 4.2.9-1
- Update to Version 4.2.9
